Index: code/trunk/visual_studio/base_properties.vsprops
===================================================================
--- code/trunk/visual_studio/base_properties.vsprops	(revision 1764)
+++ code/trunk/visual_studio/base_properties.vsprops	(revision 1810)
@@ -8,6 +8,6 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\tolua&quot;;&quot;$(RootDir)src\ois&quot;;&quot;$(LibDir)ogre-1.4.9\OgreMain\include&quot;;&quot;$(LibDir)boost-1.35.0&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)cegui-0.6.1\ScriptingModules\CEGUILua\LuaScriptModule\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)lua-5.1.3\src&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)openal-1.1\alut\include&quot;;&quot;$(LibDir)tcl-8.5.\generic&quot;;&quot;$(LibDir)zlib-1.2.3&quot;"
-		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB; ZLIB_WINAPI"
+		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\lua-5.1.3&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(LibDir)ogre-1.4.9\OgreMain\include&quot;;&quot;$(LibDir)boost-1.35.0&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)openal-1.1\alut\include&quot;;&quot;$(LibDir)tcl-8.5.\generic&quot;;&quot;$(LibDir)zlib-1.2.3&quot;"
+		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;_WINDOWS;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB;ZLIB_WINAPI;LUA_BUILD_AS_DLL"
 		WarningLevel="3"
 		DisableSpecificWarnings="4522;4251;4800"
Index: code/trunk/visual_studio/ceguilua_properties.vsprops
===================================================================
--- code/trunk/visual_studio/ceguilua_properties.vsprops	(revision 1810)
+++ code/trunk/visual_studio/ceguilua_properties.vsprops	(revision 1810)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="ceguilua_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="CEGUILUA_EXPORTS"
+		DisableSpecificWarnings="4996"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="CEGUIBase$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/core_properties.vsprops
===================================================================
--- code/trunk/visual_studio/core_properties.vsprops	(revision 1764)
+++ code/trunk/visual_studio/core_properties.vsprops	(revision 1810)
@@ -13,5 +13,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib lua-5.1.3$(CS).lib"
+		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib"
 	/>
 </VisualStudioPropertySheet>
Index: code/trunk/visual_studio/lua_properties.vsprops
===================================================================
--- code/trunk/visual_studio/lua_properties.vsprops	(revision 1810)
+++ code/trunk/visual_studio/lua_properties.vsprops	(revision 1810)
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="lua_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		CompileAs="1"
+		DisableSpecificWarnings="4996"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/orxonox_properties.vsprops
===================================================================
--- code/trunk/visual_studio/orxonox_properties.vsprops	(revision 1764)
+++ code/trunk/visual_studio/orxonox_properties.vsprops	(revision 1810)
@@ -15,7 +15,7 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib enet-1.2$(CS).lib zlib-1.2.3$(CS).lib CEGUILua$(CS).lib CEGUIBase$(CS).lib lua-5.1.3$(CS).lib"
+		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib enet-1.2$(CS).lib zlib-1.2.3$(CS).lib CEGUIBase$(CS).lib"
 		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
-		IgnoreDefaultLibraryNames="LIBCMT;LIBCMTD"
+		IgnoreDefaultLibraryNames=""
 	/>
 </VisualStudioPropertySheet>
Index: code/trunk/visual_studio/orxonox_vc8.sln
===================================================================
--- code/trunk/visual_studio/orxonox_vc8.sln	(revision 1764)
+++ code/trunk/visual_studio/orxonox_vc8.sln	(revision 1810)
@@ -9,8 +9,12 @@
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua", "vc8\tolua.vcproj", "{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}"
+	ProjectSection(ProjectDependencies) = postProject
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua_gen", "vc8\tolua_gen.vcproj", "{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
 	ProjectSection(ProjectDependencies) = postProject
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
 	EndProjectSection
 EndProject
@@ -18,4 +22,5 @@
 	ProjectSection(ProjectDependencies) = postProject
 		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0} = {71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
 	EndProjectSection
@@ -25,21 +30,23 @@
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "core", "vc8\core.vcproj", "{271715F3-5B90-4110-A552-70C788084A86}"
 	ProjectSection(ProjectDependencies) = postProject
+		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {A0724246-CB7C-420B-BCF0-68EF205AFE34}
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+		{53C56131-E2AA-4A27-B460-7AC05D61A0E6} = {53C56131-E2AA-4A27-B460-7AC05D61A0E6}
+		{9CC704CB-4956-4479-BDEC-57CBC03F700E} = {9CC704CB-4956-4479-BDEC-57CBC03F700E}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{9CC704CB-4956-4479-BDEC-57CBC03F700E} = {9CC704CB-4956-4479-BDEC-57CBC03F700E}
-		{53C56131-E2AA-4A27-B460-7AC05D61A0E6} = {53C56131-E2AA-4A27-B460-7AC05D61A0E6}
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
 	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "audio", "vc8\audio.vcproj", "{4733BD1A-E04C-458D-8BFB-5010250EA497}"
 	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "network", "vc8\network.vcproj", "{35575B59-E1AE-40E8-89C4-2862B5B09B68}"
 	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 	EndProjectSection
 EndProject
@@ -47,9 +54,20 @@
 	ProjectSection(ProjectDependencies) = postProject
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {A0724246-CB7C-420B-BCF0-68EF205AFE34}
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
 		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
-		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F} = {4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "lua", "vc8\lua.vcproj", "{63B3E57A-4382-42F3-85EC-E869CFCCA88F}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ceguilua", "vc8\ceguilua.vcproj", "{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}"
+	ProjectSection(ProjectDependencies) = postProject
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
 	EndProjectSection
 EndProject
@@ -104,4 +122,12 @@
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.ActiveCfg = Debug|Win32
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.Build.0 = Debug|Win32
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Release|Win32.ActiveCfg = Release|Win32
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Release|Win32.Build.0 = Release|Win32
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Debug|Win32.ActiveCfg = Debug|Win32
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Debug|Win32.Build.0 = Debug|Win32
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Release|Win32.ActiveCfg = Release|Win32
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Release|Win32.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: code/trunk/visual_studio/tolua_app_properties.vsprops
===================================================================
--- code/trunk/visual_studio/tolua_app_properties.vsprops	(revision 1764)
+++ code/trunk/visual_studio/tolua_app_properties.vsprops	(revision 1810)
@@ -13,5 +13,4 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="lua-5.1.3$(CS).lib"
 		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
 	/>
Index: code/trunk/visual_studio/tolua_gen_properties.vsprops
===================================================================
--- code/trunk/visual_studio/tolua_gen_properties.vsprops	(revision 1764)
+++ code/trunk/visual_studio/tolua_gen_properties.vsprops	(revision 1810)
@@ -12,5 +12,4 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="lua-5.1.3$(CS).lib"
 		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
 	/>
Index: code/trunk/visual_studio/tolua_properties.vsprops
===================================================================
--- code/trunk/visual_studio/tolua_properties.vsprops	(revision 1764)
+++ code/trunk/visual_studio/tolua_properties.vsprops	(revision 1810)
@@ -9,10 +9,6 @@
 		Name="VCCLCompilerTool"
 		PreprocessorDefinitions="TOLUA_SHARED_BUILD"
-		CompileAs="2"
+		CompileAs="1"
 		DisableSpecificWarnings="4996"
 	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="lua-5.1.3$(CS).lib"
-	/>
 </VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/ceguilua.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/ceguilua.vcproj	(revision 1810)
+++ code/trunk/visual_studio/vc8/ceguilua.vcproj	(revision 1810)
@@ -0,0 +1,189 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="ceguilua"
+	ProjectGUID="{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\ceguilua_properties.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\ceguilua_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PreprocessorDefinitions="TOLUA_RELEASE"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\CEGUILua.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\CEGUILuaFunctor.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\lua_CEGUI.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\required.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\CEGUILua.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\CEGUILuaFunctor.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\required.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: code/trunk/visual_studio/vc8/core.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/core.vcproj	(revision 1764)
+++ code/trunk/visual_studio/vc8/core.vcproj	(revision 1810)
@@ -208,4 +208,5 @@
 							Description="Generating tolua bind files..."
 							CommandLine="&quot;$(OutDir)\tolua_app.exe&quot; -n Core -o ../../src/core/tolua/tolua_bind.cc -H ../../src/core/tolua/tolua_bind.h ../../src/core/tolua/tolua.pkg&#x0D;&#x0A;"
+							AdditionalDependencies=""
 							Outputs="$(RootDir)\src\core\tolua\tolua_bind.cc; $(RootDir)\src\core\tolua\tolua_bind.h"
 						/>
Index: code/trunk/visual_studio/vc8/lua.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/lua.vcproj	(revision 1810)
+++ code/trunk/visual_studio/vc8/lua.vcproj	(revision 1810)
@@ -0,0 +1,372 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="lua"
+	ProjectGUID="{63B3E57A-4382-42F3-85EC-E869CFCCA88F}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\lua_properties.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\lua_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lapi.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lauxlib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lbaselib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lcode.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ldblib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ldebug.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ldo.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ldump.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lfunc.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lgc.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\linit.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\liolib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\llex.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lmathlib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lmem.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\loadlib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lobject.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lopcodes.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\loslib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lparser.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lstate.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lstring.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lstrlib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ltable.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ltablib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ltm.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lundump.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lvm.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lzio.c"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lapi.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lauxlib.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lcode.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ldebug.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ldo.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lfunc.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lgc.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\llex.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\llimits.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lmem.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lobject.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lopcodes.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lparser.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lstate.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lstring.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ltable.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ltm.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lua.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lua.hpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\luaconf.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lualib.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lundump.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lvm.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lzio.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>