Index: code/trunk/visual_studio/base_properties.vsprops
===================================================================
--- code/trunk/visual_studio/base_properties.vsprops	(revision 1810)
+++ code/trunk/visual_studio/base_properties.vsprops	(revision 1815)
@@ -8,5 +8,5 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\lua-5.1.3&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(LibDir)ogre-1.4.9\OgreMain\include&quot;;&quot;$(LibDir)boost-1.35.0&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)openal-1.1\alut\include&quot;;&quot;$(LibDir)tcl-8.5.\generic&quot;;&quot;$(LibDir)zlib-1.2.3&quot;"
+		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(LibDir)ogre-1.4.9\OgreMain\include&quot;;&quot;$(LibDir)boost-1.35.0&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)openal-1.1\alut\include&quot;;&quot;$(LibDir)tcl-8.5.\generic&quot;;&quot;$(LibDir)zlib-1.2.3&quot;"
 		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;_WINDOWS;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB;ZLIB_WINAPI;LUA_BUILD_AS_DLL"
 		WarningLevel="3"
Index: code/trunk/visual_studio/vc8/core.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/core.vcproj	(revision 1810)
+++ code/trunk/visual_studio/vc8/core.vcproj	(revision 1815)
@@ -197,5 +197,5 @@
 							Description="Generating tolua bind files..."
 							CommandLine="&quot;$(OutDir)\tolua_app_d.exe&quot; -n Core -o ../../src/core/tolua/tolua_bind.cc -H ../../src/core/tolua/tolua_bind.h ../../src/core/tolua/tolua.pkg&#x0D;&#x0A;"
-							AdditionalDependencies="$(RootDir)\src\core\Script.h; $(RootDir)\src\core\CommandExecutor.h"
+							AdditionalDependencies="$(RootDir)\src\core\Script.h;$(RootDir)\src\core\CommandExecutor.h"
 							Outputs="$(RootDir)\src\core\tolua\tolua_bind.cc; $(RootDir)\src\core\tolua\tolua_bind.h"
 						/>
Index: code/trunk/visual_studio/vc8/lua.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/lua.vcproj	(revision 1810)
+++ code/trunk/visual_studio/vc8/lua.vcproj	(revision 1815)
@@ -149,117 +149,117 @@
 			>
 			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lapi.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lauxlib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lbaselib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lcode.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\ldblib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\ldebug.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\ldo.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\ldump.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lfunc.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lgc.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\linit.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\liolib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\llex.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lmathlib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lmem.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\loadlib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lobject.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lopcodes.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\loslib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lparser.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lstate.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lstring.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lstrlib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\ltable.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\ltablib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\ltm.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lundump.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lvm.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lzio.c"
+				RelativePath="..\..\src\lua\lapi.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lauxlib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lbaselib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lcode.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\ldblib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\ldebug.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\ldo.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\ldump.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lfunc.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lgc.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\linit.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\liolib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\llex.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lmathlib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lmem.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\loadlib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lobject.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lopcodes.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\loslib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lparser.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lstate.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lstring.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lstrlib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\ltable.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\ltablib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\ltm.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lundump.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lvm.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lzio.c"
 				>
 			</File>
@@ -271,97 +271,97 @@
 			>
 			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lapi.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lauxlib.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lcode.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\ldebug.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\ldo.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lfunc.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lgc.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\llex.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\llimits.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lmem.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lobject.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lopcodes.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lparser.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lstate.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lstring.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\ltable.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\ltm.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lua.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lua.hpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\luaconf.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lualib.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lundump.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lvm.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua-5.1.3\lua\lzio.h"
+				RelativePath="..\..\src\lua\lapi.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lauxlib.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lcode.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\ldebug.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\ldo.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lfunc.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lgc.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\llex.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\llimits.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lmem.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lobject.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lopcodes.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lparser.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lstate.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lstring.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\ltable.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\ltm.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lua.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lua.hpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\luaconf.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lualib.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lundump.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lvm.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua\lzio.h"
 				>
 			</File>
Index: code/trunk/visual_studio/vc8/tolua_app.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/tolua_app.vcproj	(revision 1810)
+++ code/trunk/visual_studio/vc8/tolua_app.vcproj	(revision 1815)
@@ -149,8 +149,4 @@
 			>
 			<File
-				RelativePath="..\..\src\tolua\tolua.c"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\tolua\tolua-5.1.pkg"
 				>
@@ -162,4 +158,5 @@
 						Description="Generating tolua bind files..."
 						CommandLine="&quot;$(OutDir)\tolua_gen_d.exe&quot; -n tolua -o ../../src/tolua/toluabind_orxonox.c -H ../../src/tolua/toluabind_orxonox.h ../../src/tolua/tolua-5.1.pkg&#x0D;&#x0A;"
+						AdditionalDependencies="$(RootDir)\src\tolua\lua\compat-5.1.lua;$(RootDir)\src\tolua\lua\compat.lua;$(RootDir)\src\tolua\lua\basic.lua;$(RootDir)\src\tolua\lua\feature.lua;$(RootDir)\src\tolua\lua\verbatim.lua;$(RootDir)\src\tolua\lua\code.lua;$(RootDir)\src\tolua\lua\typedef.lua;$(RootDir)\src\tolua\lua\container.lua;$(RootDir)\src\tolua\lua\package.lua;$(RootDir)\src\tolua\lua\module.lua;$(RootDir)\src\tolua\lua\namespace.lua;$(RootDir)\src\tolua\lua\define.lua;$(RootDir)\src\tolua\lua\enumerate.lua;$(RootDir)\src\tolua\lua\declaration.lua;$(RootDir)\src\tolua\lua\variable.lua;$(RootDir)\src\tolua\lua\array.lua;$(RootDir)\src\tolua\lua\function.lua;$(RootDir)\src\tolua\lua\operator.lua;$(RootDir)\src\tolua\lua\class.lua;$(RootDir)\src\tolua\lua\clean.lua;$(RootDir)\src\tolua\lua\doit.lua"
 						Outputs="$(RootDir)\src\tolua\toluabind_orxonox.c; $(RootDir)\src\tolua\toluabind_orxonox.h"
 					/>
@@ -172,7 +169,12 @@
 						Description="Generating tolua bind files..."
 						CommandLine="&quot;$(OutDir)\tolua_gen.exe&quot; -n tolua -o ../../src/tolua/toluabind_orxonox.c -H ../../src/tolua/toluabind_orxonox.h ../../src/tolua/tolua-5.1.pkg&#x0D;&#x0A;"
+						AdditionalDependencies="$(RootDir)\src\tolua\lua\compat-5.1.lua;$(RootDir)\src\tolua\lua\compat.lua;$(RootDir)\src\tolua\lua\basic.lua;$(RootDir)\src\tolua\lua\feature.lua;$(RootDir)\src\tolua\lua\verbatim.lua;$(RootDir)\src\tolua\lua\code.lua;$(RootDir)\src\tolua\lua\typedef.lua;$(RootDir)\src\tolua\lua\container.lua;$(RootDir)\src\tolua\lua\package.lua;$(RootDir)\src\tolua\lua\module.lua;$(RootDir)\src\tolua\lua\namespace.lua;$(RootDir)\src\tolua\lua\define.lua;$(RootDir)\src\tolua\lua\enumerate.lua;$(RootDir)\src\tolua\lua\declaration.lua;$(RootDir)\src\tolua\lua\variable.lua;$(RootDir)\src\tolua\lua\array.lua;$(RootDir)\src\tolua\lua\function.lua;$(RootDir)\src\tolua\lua\operator.lua;$(RootDir)\src\tolua\lua\class.lua;$(RootDir)\src\tolua\lua\clean.lua;$(RootDir)\src\tolua\lua\doit.lua"
 						Outputs="$(RootDir)\src\tolua\toluabind_orxonox.c; $(RootDir)\src\tolua\toluabind_orxonox.h"
 					/>
 				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\..\src\tolua\tolua.c"
+				>
 			</File>
 			<File