Index: /orxonox/branches/bensch/Makefile
===================================================================
--- /orxonox/branches/bensch/Makefile	(revision 1815)
+++ /orxonox/branches/bensch/Makefile	(revision 1816)
@@ -104,12 +104,12 @@
 distuninstallcheck_listfiles = find . -type f -print
 distcleancheck_listfiles = find . -type f -print
-ACLOCAL = aclocal-1.8
+ACLOCAL = ${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run aclocal-1.8
 ALLOCA = 
 AMDEP_FALSE = #
 AMDEP_TRUE = 
-AMTAR = tar
-AUTOCONF = autoconf
-AUTOHEADER = autoheader
-AUTOMAKE = automake-1.8
+AMTAR = ${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run tar
+AUTOCONF = ${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run automake-1.8
 AWK = gawk
 CC = gcc
@@ -135,5 +135,5 @@
 LIBS = 
 LTLIBOBJS = 
-MAKEINFO = makeinfo
+MAKEINFO = ${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run makeinfo
 OBJEXT = o
 PACKAGE = orxonox
Index: /orxonox/branches/bensch/config.log
===================================================================
--- /orxonox/branches/bensch/config.log	(revision 1815)
+++ /orxonox/branches/bensch/config.log	(revision 1816)
@@ -50,5 +50,4 @@
 configure:1404: checking whether build environment is sane
 configure:1447: result: yes
-configure:1471: WARNING: `missing' script is too old or missing
 configure:1504: checking for gawk
 configure:1520: found /bin/gawk
@@ -906,13 +905,13 @@
 ## ----------------- ##
 
-ACLOCAL='aclocal-1.8'
+ACLOCAL='${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run aclocal-1.8'
 ALLOCA=''
 AMDEPBACKSLASH='\'
 AMDEP_FALSE='#'
 AMDEP_TRUE=''
-AMTAR='tar'
-AUTOCONF='autoconf'
-AUTOHEADER='autoheader'
-AUTOMAKE='automake-1.8'
+AMTAR='${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run tar'
+AUTOCONF='${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run autoconf'
+AUTOHEADER='${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run autoheader'
+AUTOMAKE='${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run automake-1.8'
 AWK='gawk'
 CC='gcc'
@@ -938,5 +937,5 @@
 LIBS=''
 LTLIBOBJS=''
-MAKEINFO='makeinfo'
+MAKEINFO='${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run makeinfo'
 OBJEXT='o'
 PACKAGE='orxonox'
@@ -1050,4 +1049,5 @@
 config.status:696: creating orxonox.spec
 config.status:800: creating config.h
+config.status:944: config.h is unchanged
 config.status:1121: executing depfiles commands
 
@@ -1063,8 +1063,8 @@
   CONFIG_LINKS    = 
   CONFIG_COMMANDS = 
-  $ ./config.status Makefile depfiles
+  $ ./config.status config.h
 
 on iasius
 
-config.status:696: creating Makefile
-config.status:1121: executing depfiles commands
+config.status:800: creating config.h
+config.status:944: config.h is unchanged
Index: /orxonox/branches/bensch/config.status
===================================================================
--- /orxonox/branches/bensch/config.status	(revision 1815)
+++ /orxonox/branches/bensch/config.status	(revision 1816)
@@ -491,10 +491,10 @@
 s,@PACKAGE@,orxonox,;t t
 s,@VERSION@,0.0.0,;t t
-s,@ACLOCAL@,aclocal-1.8,;t t
-s,@AUTOCONF@,autoconf,;t t
-s,@AUTOMAKE@,automake-1.8,;t t
-s,@AUTOHEADER@,autoheader,;t t
-s,@MAKEINFO@,makeinfo,;t t
-s,@AMTAR@,tar,;t t
+s,@ACLOCAL@,${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run aclocal-1.8,;t t
+s,@AUTOCONF@,${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run autoconf,;t t
+s,@AUTOMAKE@,${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run automake-1.8,;t t
+s,@AUTOHEADER@,${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run autoheader,;t t
+s,@MAKEINFO@,${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run makeinfo,;t t
+s,@AMTAR@,${SHELL} /home/bensch/svn/orxonox/branches/bensch/missing --run tar,;t t
 s,@install_sh@,/home/bensch/svn/orxonox/branches/bensch/install-sh,;t t
 s,@STRIP@,,;t t
Index: /orxonox/branches/bensch/orxonox_gui.c
===================================================================
--- /orxonox/branches/bensch/orxonox_gui.c	(revision 1815)
+++ /orxonox/branches/bensch/orxonox_gui.c	(revision 1816)
@@ -36,7 +36,7 @@
       
       {
-	gtk_box_pack_start(GTK_BOX(hbox_video_audio), orxonox_gui_video_frame(hbox_video_audio), TRUE, TRUE, 0);	
+	gtk_box_pack_start(GTK_BOX(hbox_video_audio), orxonox_gui_video_frame(), TRUE, TRUE, 0);	
 	
-	gtk_box_pack_start(GTK_BOX(hbox_video_audio), orxonox_gui_audio_frame(hbox_video_audio), TRUE, TRUE, 0);	
+	gtk_box_pack_start(GTK_BOX(hbox_video_audio), orxonox_gui_audio_frame(), TRUE, TRUE, 0);	
       }
       gtk_box_pack_start (GTK_BOX (vbox_main), hbox_video_audio, TRUE, TRUE, 0);
@@ -50,5 +50,5 @@
 	*/
 	{
-	  gtk_box_pack_start(GTK_BOX(hbox_video_audio), orxonox_gui_exec_frame(hbox_video_audio), TRUE, TRUE, 0);	
+	  gtk_box_pack_start(GTK_BOX(hbox_view_exec), orxonox_gui_exec_frame(), TRUE, TRUE, 0);	
 
 	}
Index: /orxonox/branches/bensch/orxonox_gui_audio.c
===================================================================
--- /orxonox/branches/bensch/orxonox_gui_audio.c	(revision 1815)
+++ /orxonox/branches/bensch/orxonox_gui_audio.c	(revision 1816)
@@ -1,8 +1,11 @@
 #include "orxonox_gui.h"
 
-GtkWidget *orxonox_gui_audio_frame (GtkWidget *box )
+GtkWidget *orxonox_gui_audio_frame (void)
 {
   GtkWidget *frame;
   GtkWidget *button;
+  GtkWidget *label;
+  GtkWidget *music_volume_slider;
+  GtkWidget *effects_volume_slider;
 
   frame = gtk_frame_new ( "Audio-Options:");
@@ -13,7 +16,24 @@
 
 	button = gtk_check_button_new_with_label ("Enable Sound");
-	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_fullscreen);
+	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_gui_audio_Enable_sound);
 	 */
 	gtk_box_pack_start(GTK_BOX (orxonox_gui_audio_vbox), button, TRUE, TRUE, 0);
+
+	label=gtk_label_new ("Music Volume");
+	gtk_box_pack_start (GTK_BOX(orxonox_gui_audio_vbox), label, TRUE, TRUE, 0);
+	music_volume_slider = gtk_hscale_new_with_range (0,100,5);
+	/* gtk_range_set_value ( GTK_RANGE (music_volume_slider), compress.video_filter_crop_slider[0]);*/
+	gtk_range_set_update_policy ( GTK_RANGE (music_volume_slider), GTK_UPDATE_DISCONTINUOUS);
+	/* g_signal_connect (GTK_RANGE (music_volume_slider), "valume_changed", G_CALLBACK (video_filter_crop_slider_changed), GINT_TO_POINTER (0));*/
+	gtk_box_pack_start ( GTK_BOX (orxonox_gui_audio_vbox), music_volume_slider, TRUE, TRUE, 0);
+
+	label=gtk_label_new ("Effects Volume");
+	gtk_box_pack_start (GTK_BOX(orxonox_gui_audio_vbox), label, TRUE, TRUE, 0);
+	effects_volume_slider = gtk_hscale_new_with_range (0,100,5);
+	/* gtk_range_set_value ( GTK_RANGE (effects_volume_slider), compress.video_filter_crop_slider[0]);*/
+	gtk_range_set_update_policy ( GTK_RANGE (effects_volume_slider), GTK_UPDATE_DISCONTINUOUS);
+	/* g_signal_connect (GTK_RANGE (effects_volume_slider), "valume_changed", G_CALLBACK (video_filter_crop_slider_changed), GINT_TO_POINTER (0));*/
+	gtk_box_pack_start ( GTK_BOX (orxonox_gui_audio_vbox), effects_volume_slider, TRUE, TRUE, 0);
+
     }
     gtk_container_add(GTK_CONTAINER(frame), orxonox_gui_audio_vbox);
Index: /orxonox/branches/bensch/orxonox_gui_audio.h
===================================================================
--- /orxonox/branches/bensch/orxonox_gui_audio.h	(revision 1815)
+++ /orxonox/branches/bensch/orxonox_gui_audio.h	(revision 1816)
@@ -2,5 +2,5 @@
 #define _ORXONOX_GUI_AUDIO_H
 
-GtkWidget *orxonox_gui_audio_frame (GtkWidget *box );
+GtkWidget *orxonox_gui_audio_frame (void);
 
 #endif /* _ORXONOX_GUI_AUDIO_H */
Index: /orxonox/branches/bensch/orxonox_gui_exec.c
===================================================================
--- /orxonox/branches/bensch/orxonox_gui_exec.c	(revision 1815)
+++ /orxonox/branches/bensch/orxonox_gui_exec.c	(revision 1816)
@@ -1,8 +1,11 @@
 #include "orxonox_gui.h"
 
-GtkWidget *orxonox_gui_exec_frame (GtkWidget *box )
+GtkWidget *orxonox_gui_exec_frame (void)
 {
   GtkWidget *frame;
-  GtkWidget *button;
+  GtkWidget *save_button;
+  GtkWidget *show_button;
+  GtkWidget *start_button;
+  GtkWidget *quit_button;
 
   frame = gtk_frame_new ( "Execute-Tags:");
@@ -12,8 +15,23 @@
     {
 
-	button = gtk_button_new_with_label ("Start");
+	start_button = gtk_button_new_with_label ("Start");
 	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_fullscreen);
 	 */
-	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), button, TRUE, TRUE, 0);
+	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), start_button, TRUE, TRUE, 5);
+
+	save_button = gtk_check_button_new_with_label ("Save Settings");
+	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_gui_audio_Enable_sound);
+	 */
+	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), save_button, TRUE, TRUE, 0);
+
+	show_button = gtk_check_button_new_with_label ("Always show this Menu");
+	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_gui_audio_Enable_sound);
+	 */
+	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), show_button, TRUE, TRUE, 0);
+	
+
+	quit_button = gtk_button_new_with_label ("quit");
+	g_signal_connect(GTK_BUTTON(quit_button), "clicked", G_CALLBACK(gtk_main_quit), NULL);
+	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), quit_button, FALSE, FALSE, 5);
     }
     gtk_container_add(GTK_CONTAINER(frame), orxonox_gui_exec_vbox);
Index: /orxonox/branches/bensch/orxonox_gui_exec.h
===================================================================
--- /orxonox/branches/bensch/orxonox_gui_exec.h	(revision 1815)
+++ /orxonox/branches/bensch/orxonox_gui_exec.h	(revision 1816)
@@ -2,5 +2,5 @@
 #define _ORXONOX_GUI_EXEC_H
 
-GtkWidget *orxonox_gui_exec_frame (GtkWidget *box );
+GtkWidget *orxonox_gui_exec_frame (void);
 
 #endif /* _ORXONOX_GUI_EXEC_H */
Index: /orxonox/branches/bensch/orxonox_gui_video.c
===================================================================
--- /orxonox/branches/bensch/orxonox_gui_video.c	(revision 1815)
+++ /orxonox/branches/bensch/orxonox_gui_video.c	(revision 1816)
@@ -1,5 +1,5 @@
 #include "orxonox_gui.h"
 
-GtkWidget *orxonox_gui_video_frame (GtkWidget *box )
+GtkWidget *orxonox_gui_video_frame (void)
 {
   GtkWidget *frame;
@@ -11,9 +11,14 @@
     orxonox_gui_video_vbox = gtk_vbox_new (FALSE, 0);
     {
-
 	button = gtk_check_button_new_with_label ("Fullscreen-mode");
-	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_fullscreen);
+	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_gui_video_fullscreen);
 	 */
 	gtk_box_pack_start(GTK_BOX (orxonox_gui_video_vbox), button, TRUE, TRUE, 0);
+
+	button = gtk_check_button_new_with_label ("Wireframe-mode");
+	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_gui_video_Wireframe);
+	 */
+	gtk_box_pack_start(GTK_BOX (orxonox_gui_video_vbox), button, TRUE, TRUE, 0);
+	
     }
     gtk_container_add(GTK_CONTAINER(frame), orxonox_gui_video_vbox);
Index: /orxonox/branches/bensch/orxonox_gui_video.h
===================================================================
--- /orxonox/branches/bensch/orxonox_gui_video.h	(revision 1815)
+++ /orxonox/branches/bensch/orxonox_gui_video.h	(revision 1816)
@@ -2,5 +2,5 @@
 #define _ORXONOX_GUI_VIDEO_H
 
-GtkWidget *orxonox_gui_video_frame (GtkWidget *box );
+GtkWidget *orxonox_gui_video_frame (void);
 
 #endif /* _ORXONOX_GUI_VIDEO_H */