Index: /orxonox/branches/bensch/orxonox_gui.c
===================================================================
--- /orxonox/branches/bensch/orxonox_gui.c	(revision 1818)
+++ /orxonox/branches/bensch/orxonox_gui.c	(revision 1819)
@@ -2,5 +2,4 @@
 #include "orxonox_gui_video.h"
 #include "orxonox_gui_audio.h"
-#include "orxonox_gui_exec.h"
 int verbose = 1;
 
Index: /orxonox/branches/bensch/orxonox_gui.h
===================================================================
--- /orxonox/branches/bensch/orxonox_gui.h	(revision 1818)
+++ /orxonox/branches/bensch/orxonox_gui.h	(revision 1819)
@@ -7,4 +7,6 @@
 #include <string.h>
 #include <gtk/gtk.h>
+
+gint delete_event ( GtkWidget *widget, GdkEvent *event, gpointer data );
 
 struct settings
Index: /orxonox/branches/bensch/orxonox_gui_audio.c
===================================================================
--- /orxonox/branches/bensch/orxonox_gui_audio.c	(revision 1818)
+++ /orxonox/branches/bensch/orxonox_gui_audio.c	(revision 1819)
@@ -10,4 +10,5 @@
 
   frame = gtk_frame_new ( "Audio-Options:");
+  gtk_container_set_border_width (GTK_CONTAINER (frame), 5);
   {
     GtkWidget *orxonox_gui_audio_vbox;
Index: /orxonox/branches/bensch/orxonox_gui_exec.c
===================================================================
--- /orxonox/branches/bensch/orxonox_gui_exec.c	(revision 1818)
+++ /orxonox/branches/bensch/orxonox_gui_exec.c	(revision 1819)
@@ -1,4 +1,5 @@
-#include "orxonox_gui.h"
-
+#include "orxonox_gui_exec.h"
+GtkWidget *exec_flags_label;
+struct settings *exec_orxonox_settings;
 GtkWidget *orxonox_gui_exec_frame (struct settings *orxonox_settings)
 {
@@ -8,9 +9,12 @@
   GtkWidget *start_button;
   GtkWidget *quit_button;
+  GtkWidget *flags_frame;
+
 
   frame = gtk_frame_new ( "Execute-Tags:");
+  gtk_container_set_border_width (GTK_CONTAINER (frame), 5);
   {
     GtkWidget *orxonox_gui_exec_vbox;
-    orxonox_gui_exec_vbox = gtk_vbox_new (FALSE, 0);
+    orxonox_gui_exec_vbox = gtk_vbox_new (FALSE, 5);
     {
 
@@ -30,4 +34,14 @@
 	g_signal_connect(GTK_BUTTON(quit_button), "clicked", G_CALLBACK(gtk_main_quit), NULL);
 	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), quit_button, FALSE, FALSE, 5);
+
+
+	flags_frame = gtk_frame_new("Orxonox's starting Flags");
+	{
+	  exec_flags_label = gtk_label_new("test");
+	  exec_orxonox_settings = orxonox_settings;
+	  orxonox_flags_update();
+	  gtk_container_add (GTK_CONTAINER(flags_frame), exec_flags_label);
+	}
+	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), flags_frame, FALSE, FALSE, 5);
     }
     gtk_container_add(GTK_CONTAINER(frame), orxonox_gui_exec_vbox);
@@ -38,2 +52,33 @@
 }
 
+
+char * orxonox_flags_text (struct settings *orxonox_settings, char *exec_flags_text)
+{
+  bzero(exec_flags_text, 1);
+  strcat(exec_flags_text, "orxonox ");
+
+  if(!orxonox_settings->video_fullscreen)
+    strcat(exec_flags_text, "--windowed ");
+  if(orxonox_settings->video_wireframe)
+    strcat(exec_flags_text, "--wireframe ");
+  
+  if(!orxonox_settings->audio_enable_sound)
+    strcat(exec_flags_text, "--disable_audio ");
+  /*  if(orxonox_settings->audio_music_volume <> 80)
+    {
+      strcat(exec_flags_text, "--music_volume=");
+      strcat(exec_flags_text, sprintf("%i ",(int *)orxonox_settings->audio_music_volume));
+    }
+  */
+  if(orxonox_settings->audio_effects_volume)
+    strcat(exec_flags_text, "--effects_volume ");
+
+  return (exec_flags_text);
+}
+
+void orxonox_flags_update (void)
+{
+  char exec_flags_text[1024];
+  gtk_label_set_text (GTK_LABEL(exec_flags_label), orxonox_flags_text (exec_orxonox_settings, exec_flags_text));
+  return;
+}
Index: /orxonox/branches/bensch/orxonox_gui_exec.h
===================================================================
--- /orxonox/branches/bensch/orxonox_gui_exec.h	(revision 1818)
+++ /orxonox/branches/bensch/orxonox_gui_exec.h	(revision 1819)
@@ -1,6 +1,9 @@
 #ifndef _ORXONOX_GUI_EXEC_H
 #define _ORXONOX_GUI_EXEC_H
+#include "orxonox_gui.h"
 
 GtkWidget *orxonox_gui_exec_frame (struct settings *orxonox_settings);
+char * orxonox_flags_text (struct settings *orxonox_settings, char *exec_flags_text);
+void orxonox_flags_update (void);
 
 #endif /* _ORXONOX_GUI_EXEC_H */
Index: /orxonox/branches/bensch/orxonox_gui_video.c
===================================================================
--- /orxonox/branches/bensch/orxonox_gui_video.c	(revision 1818)
+++ /orxonox/branches/bensch/orxonox_gui_video.c	(revision 1819)
@@ -1,7 +1,11 @@
 #include "orxonox_gui_video.h"
 
-
-
-
+void video_option_change(GtkWidget *widget, gpointer data)
+{
+  data = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON (widget));
+  orxonox_flags_update (); 
+  if (verbose >=1)
+    printf ("%s changed to %i.\n", gtk_button_get_label(widget), data);
+}
 
 /* Drawing The VIDEO_FRAME */
@@ -13,4 +17,6 @@
   
   frame = gtk_frame_new ( "Video-Options:");
+  gtk_container_set_border_width (GTK_CONTAINER (frame), 5);
+
   {
     GtkWidget *orxonox_gui_video_vbox;
@@ -18,14 +24,11 @@
     {
 	fullscreen_button = gtk_check_button_new_with_label ("Fullscreen-mode");
-	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (fullscreen_button), orxonox_settings->video_fullscreen);
-
-	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_gui_video_fullscreen);
-	 */
+	gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON (fullscreen_button), orxonox_settings->video_fullscreen);
+	g_signal_connect(GTK_TOGGLE_BUTTON(fullscreen_button), "clicked", G_CALLBACK(video_option_change), &(orxonox_settings->video_fullscreen));
 	gtk_box_pack_start(GTK_BOX (orxonox_gui_video_vbox), fullscreen_button, TRUE, TRUE, 0);
 
 	wireframe_button = gtk_check_button_new_with_label ("Wireframe-mode");
 	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (wireframe_button), orxonox_settings->video_wireframe);
-	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_gui_video_Wireframe);
-	 */
+	g_signal_connect(GTK_TOGGLE_BUTTON(wireframe_button), "clicked", G_CALLBACK(video_option_change), &(orxonox_settings->video_wireframe));
 	gtk_box_pack_start(GTK_BOX (orxonox_gui_video_vbox), wireframe_button, TRUE, TRUE, 0);
 	
Index: /orxonox/branches/bensch/orxonox_gui_video.h
===================================================================
--- /orxonox/branches/bensch/orxonox_gui_video.h	(revision 1818)
+++ /orxonox/branches/bensch/orxonox_gui_video.h	(revision 1819)
@@ -4,4 +4,5 @@
 #include "orxonox_gui.h"
 
+void video_option_change(GtkWidget *widget, gpointer data);
 GtkWidget *orxonox_gui_video_frame (struct settings *orxonox_settings);
 